#!/usr/bin/env bash

source "${HOME:?}/scripts/functions.sh"

tools=("linkding" "jq")
check_tools "$tools"

NEXT=""
DATA=""
OFFSET=100
while true; do
    if [[ ! -z "$NEXT" ]]; then
        echo "$NEXT"
        LINKDATA="$(linkding bookmarks all -o "$OFFSET")"
        DATA="$DATA $(echo "$LINKDATA" | jq -r ".results[].url")"
        NEXT="$(echo "$LINKDATA" | jq ".next")"
        if [[ "$NEXT" = "null" ]]; then
            break
        fi
        OFFSET="$((OFFSET + 100))"
    else
        LINKDATA=$(linkding bookmarks all)
        if [[ -z "$LINKDATA" ]]; then
            die "There is no data to fetch"
        fi
        NEXT="$(echo "$LINKDATA" | jq ".next")"
        DATA="$(echo "$LINKDATA" | jq -r ".results[].url")"
    fi
done

echo "$DATA" | tr ' ' '\n'
