#!/usr/bin/env bash

if (($# != 1)); then
    echo "Error! No mode. Use: screenshot.sh full|region"
    exit 2
fi

mode=$1
screenshot="$HOME/Screenshots/screenshot-$(date +'%Y_%m_%d-%H_%M_%S').png"

if [[ "$(uname)" == "Darwin" ]]; then
    echo "Not implemented yet"
    exit 0
elif [[ "$(uname)" == "Linux" ]]; then
    case $mode in
    full)
        maim -o $screenshot
        notify-send "Screenshot created: $screenshot"
        ;;
    region)
        maim -o --select $screenshot
        notify-send "Screenshot created: $screenshot"
        ;;
    *)
        echo "Error! Invalid mode. Use screenshot.sh full|region "
        ;;
    esac
else
    echo "Unknown OS"
    exit 2
fi
